Subject: [os2genau_digest] No. 399
From: Digest <deadmail>
To: "OS/2GenAu Digest" <deadmail>
Date: Thu, 18 Jul 2002 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 17 July 2002
 Number  399
**************************************************

Subjects for today
 
1  [os2genau] Anyone want to have a go at this? : Kev Downes <kdownesatiinet dot net dot au>
2  Re: [os2genau] Anyone want to have a go at this? : John Angelico" <talldadatkepl dot com dot au>
3  Re: [os2genau] Anyone want to have a go at this? : <djnatpeninsula.hotkey dot net dot au>
4  [os2genau] Simple networking questions form a simpleton : Kev Downes <kdownesatiinet dot net dot au>
5  Re: [os2genau] Anyone want to have a go at this? : Nathan Stewart <nmcstewatattglobal dot net>
6  Re: [os2genau] Simple networking questions form a simpleton : David Forrester" <davidforatterrigal dot net dot au>
7  Re: [os2genau] Anyone want to have a go at this? : Voytek Eymont <voytekatsbt dot net dot au>

**= Email   1 ==========================**

Date:  Tue, 16 Jul 2002 23:21:56 +0900
From:  Kev Downes <kdownesatiinet dot net dot au>
Subject:  [os2genau] Anyone want to have a go at this?

Hi all

I received this from a someone I don't even know, but felt that it
deserved a reasonable response.  As you can see, it's a quote from mart
of my signature block.  Someone in I emailed forwarded something I sent
on to one of their mates and now it's come back to me.

>I received this at the bottom of an email I received from a friend. 
>
>"> Windows is not the answer. Windows is the question. The answer is NO!
>
>> We use and recommend IBM OS/2 Warp and Serenity System's eComStation."
> 
>That's a fairly bold statement to make.. whats your justification?. .
> 
>Ross

My own immediate response is, "Do I need to?"  Any advances on this from
anyone?  I'll compile a response from received ideas - assuming some are
forthcoming.

Thanx gize
Kev Downes
=========================
Kev Downes <kdownesatiinet dot net dot au>
Windows is not the answer. Windows is the question. The answer is NO!  
We use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
"Jesus Christ is the centre of everything and the object of everything;
and he who does not know him, knows nothing of the order of the world and
nothing of himself."             Blaise Pascal
=========================

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 17 Jul 2002 10:38:23 +1000 (EST)
From:  "John Angelico" <talldadatkepl dot com dot au>
Subject:  Re: [os2genau] Anyone want to have a go at this?

On Tue, 16 Jul 2002 23:21:56 +0900, Kev Downes wrote:

>
>Hi all
>

Hi Kev.

>I received this from a someone I don't even know, but felt that it
>deserved a reasonable response.  As you can see, it's a quote from mart
>of my signature block.  Someone in I emailed forwarded something I sent
>on to one of their mates and now it's come back to me.
>
>
>
>>I received this at the bottom of an email I received from a friend. 
>>
>>"> Windows is not the answer. Windows is the question. The answer is NO!
>>
>>> We use and recommend IBM OS/2 Warp and Serenity System's eComStation."
>> 
>>That's a fairly bold statement to make.. whats your justification?. .
>> 
>>Ross
>
>
>My own immediate response is, "Do I need to?"  Any advances on this from
>anyone?  I'll compile a response from received ideas - assuming some are
>forthcoming.

*Commonly* such questions are a smokescreen to avoid the issue ie. someone
is challenging my decision to use Windows, I am a little guilty having to
admit that it isn't as good as all the hype, but I really don't want to
have to defend my decision. Therefore I will turn the challenge around and
ask them to justify their statement first. 

However, this person may be a genuine enquirer. Therefore you/we wouldn't
want to offend them by some smart-aleck put-down  answer before we had a
chance to ask him how he uses his machine and what advantages there might
be to switching over to eCS. 

There is no doubt that eCS and OS/2 are in front in terms of total cost of
ownership & operation ie. daily operating reliability, backwards
compatibility of software, efficiency on older hardware, protection from
external virus and similar attack etc which are significant for business
and server operations where downtime costs money.

But it is a lot harder to win against a home Win-box because business
calculations are less significant, a lot of people don't care if they get
hosed by Klez, Kournikova, Sircam etc. as long as they can re-install and
resume playing games, MP3s and so on. 

It is still possible to point out that if want to "upgrade" to Win XP on
their home machine it will definitely cost more because they will probably
have to buy a) new hardware and b) replacement versions of their software. 

But often, such people are impervious to those kinds of arguments because
for them it's just an entertainment box, and the money comes out of their
entertainment budget. It only has to compete against their foody, pokies,
Tattslotto and grog type of spending: "This year we upgrade the computer,
next year we upgrade the telly."

So find out from this chap what he uses his computer for - if he has a
business orientation, then the case is quite winnable. You might explain
that the quotes were out of context and that you want to find out more
about him, as a way of opening up the conversation.

Good luck.

Best regards
John Angelico
OS/2 SIG
talldadatmelbpc dot org dot au or talldadatkepl dot com dot au
--------------------------------------------

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Why is it that the best taglines are always much too lo

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 17 Jul 2002 16:57:51 -1000
From:  <djnatpeninsula.hotkey dot net dot au>
Subject:  Re: [os2genau] Anyone want to have a go at this?

On Tue, 16 Jul 2002 23:21:56 +0900, Kev Downes wrote:

>
>Hi all
>
>I received this from a someone I don't even know, but felt that it
>deserved a reasonable response.  As you can see, it's a quote from mart
>of my signature block.  Someone in I emailed forwarded something I sent
>on to one of their mates and now it's come back to me.
>
>
>
>>I received this at the bottom of an email I received from a friend. 
>>
>>"> Windows is not the answer. Windows is the question. The answer is NO!
>>
>>> We use and recommend IBM OS/2 Warp and Serenity System's eComStation."
>> 
>>That's a fairly bold statement to make.. whats your justification?. .
>> 
>>Ross
>
>
>My own immediate response is, "Do I need to?"  Any advances on this from
>anyone?  I'll compile a response from received ideas - assuming some are
>forthcoming.
>
>Thanx gize
>Kev Downes
=========================
>Kev Downes <kdownesatiinet dot net dot au>
>Windows is not the answer. Windows is the question. The answer is NO!  
>We use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
>"Jesus Christ is the centre of everything and the object of everything;
>and he who does not know him, knows nothing of the order of the world and
>nothing of himself."             Blaise Pascal
=========================
>

> 

>
>
I would keep it neutral and too the point.

Something like E
xperience in useing Both Windows and Warp.
Windows is very pretty, but for doing something usefull in the most 
intuitive way for me, Warp is the ticket.

Regards
Dennis.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 17 Jul 2002 00:14:33 +0900
From:  Kev Downes <kdownesatiinet dot net dot au>
Subject:  [os2genau] Simple networking questions form a simpleton

I was just reading an article in the June OS/2 ezine about post-install
networking.  Forget the post-install bit, my questions are much more
basic than that.

The article is here ....  http://www.os2ezine dot com/20020616/page_6.html

Let me explain what I have, and what I want. I know I've been here
before, but you really have no idea about how thick I actually am.  I'm
confident I can get it all going with the correct answers to these
questions.  I only want P2P - there's no dedicated server.  Bear in mind
that all machines talk and share all I want in Windows, but I really want
to do this in eCS.  If I really get brave later I might like to get
Windoze and eCS talking to each other!  Each machine runs either Warp4 or
eCS apart from Windoze (I use IBM BootManager).  The Windoze being used
is '98se in all machines.

I have 4 machines   KEV     set to these IP's   192.168.0.1     Main
machine
                    KIDZ                        192.168.0.2   
                    SAM                         192.168.0.3
                    SPARE                       192.168.0.4
I have these IP's hard coded in Windoze.

I call my little home network HOME  In Windoze this is my workgroup name.

I use 255.255.255.0 as a subnet mask.

KEV has a dial-up internet connection on COM2 and my ISP's DNS is
203.0.178.191  The ISP is iinet dot net dot au  It would be great to be able to
share that connection, but I'm willing to walk before I attempt to run. 
It shares OK in Windoze.

When I get to the bit in the aforementioned OS/2 ezine article which
includes the picture postne03.png ...

I call my workstation "KEV"  (and the others KIDZ, SAM and SPARE) The
description is easy, but, what is my Domain Name?  Is this the eCS
equivalent of the Windoze WorkGroup?  Do I put "HOME" in here?

I know I want to "Install Sharing", but do I want to "Install LAN Server
Admin"?

I can configure the "Network Adaptors for File and Print Client"  My
network cards have some form of Realtek chipset and they come with OS/2
drivers on a floppy.  These install properly.

"User ID and Password" I can do.

"TCP/IP Services" is my next downfall.  In the article we're now at
picture postne06.png  From the the top ...

TCP/IP Address      I put 192.168.0.1 and so on for the other machines.
Subnet Mask         Is easy!  255.255.255.0  (I'm showing off!!) Router             
Well who knows?  I don't have one do I?  I don't really 
                    know what one is.  What do I put here?  What does the
                    writer mean when he says OS/2 is a router?  Host Name          
Who knows again?  I don't even know what a host is in
                    this context.
TCP/IP Domain Name  Who knows?  What's a domain in this context? Name
Server         Is this my ISP's DNS?  If so what happens when I'm not
                    connected to the net?

Moving right on now ... picture postne07.png
Do I need any more portocols than the 2 shown (TCP/IP and Netbios) to do
what I want to do?

I'm confident that someone out there can/will fill those holes for me. 
Assuming that is so, I now want each machine to boot up and connect to
the network automagically, sharing all the things I set to share, and
with no logons necessary - as per Windoze P2P.

So, there is the quest, should you dare to accept it.  I'd be eternally
(or at least for a long time) grateful for this assistance.

Thanx in advance
Kev
=========================
Kev Downes <kdownesatiinet dot net dot au>
Windows is not the answer. Windows is the question. The answer is NO!  
We use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
"Jesus Christ is the centre of everything and the object of everything;
and he who does not know him, knows nothing of the order of the world and
nothing of himself."             Blaise Pascal
=========================

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 17 Jul 2002 18:08:16 +1000
From:  Nathan Stewart <nmcstewatattglobal dot net>
Subject:  Re: [os2genau] Anyone want to have a go at this?

Very good advice John. My experience with this type of thing has been 
similar. It's no use firing arguments back and forth until the 
paramaters for comparison are determined.

Nathan Stewart.
Vision Development Pty Ltd

John Angelico wrote:

>On Tue, 16 Jul 2002 23:21:56 +0900, Kev Downes wrote:
>
>>Hi all
>>
>
>Hi Kev.
>
>>I received this from a someone I don't even know, but felt that it
>>deserved a reasonable response.  As you can see, it's a quote from mart
>>of my signature block.  Someone in I emailed forwarded something I sent
>>on to one of their mates and now it's come back to me.
>>
>>
>>
>>>I received this at the bottom of an email I received from a friend. 
>>>
>>>"> Windows is not the answer. Windows is the question. The answer is NO!
>>>
>>>>We use and recommend IBM OS/2 Warp and Serenity System's eComStation."
>>>>
>>>That's a fairly bold statement to make.. whats your justification?. .
>>>
>>>Ross
>>>
>>
>>My own immediate response is, "Do I need to?"  Any advances on this from
>>anyone?  I'll compile a response from received ideas - assuming some are
>>forthcoming.
>>
>
>*Commonly* such questions are a smokescreen to avoid the issue ie. someone
>is challenging my decision to use Windows, I am a little guilty having to
>admit that it isn't as good as all the hype, but I really don't want to
>have to defend my decision. Therefore I will turn the challenge around and
>ask them to justify their statement first. 
>
>However, this person may be a genuine enquirer. Therefore you/we wouldn't
>want to offend them by some smart-aleck put-down  answer before we had a
>chance to ask him how he uses his machine and what advantages there might
>be to switching over to eCS. 
>
>There is no doubt that eCS and OS/2 are in front in terms of total cost of
>ownership & operation ie. daily operating reliability, backwards
>compatibility of software, efficiency on older hardware, protection from
>external virus and similar attack etc which are significant for business
>and server operations where downtime costs money.
>
>But it is a lot harder to win against a home Win-box because business
>calculations are less significant, a lot of people don't care if they get
>hosed by Klez, Kournikova, Sircam etc. as long as they can re-install and
>resume playing games, MP3s and so on. 
>
>It is still possible to point out that if want to "upgrade" to Win XP on
>their home machine it will definitely cost more because they will probably
>have to buy a) new hardware and b) replacement versions of their software. 
>
>But often, such people are impervious to those kinds of arguments because
>for them it's just an entertainment box, and the money comes out of their
>entertainment budget. It only has to compete against their foody, pokies,
>Tattslotto and grog type of spending: "This year we upgrade the computer,
>next year we upgrade the telly."
>
>So find out from this chap what he uses his computer for - if he has a
>business orientation, then the case is quite winnable. You might explain
>that the quotes were out of context and that you want to find out more
>about him, as a way of opening up the conversation.
>
>Good luck.
>
>
>
>Best regards
>John Angelico
>OS/2 SIG
>talldadatmelbpc dot org dot au or talldadatkepl dot com dot au
>--------------------------------------------
>
>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>... Why is it that the best taglines are always much too lo
>

> 

>

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 17 Jul 2002 20:49:28 +1000 (EST)
From:  "David Forrester" <davidforatterrigal dot net dot au>
Subject:  Re: [os2genau] Simple networking questions form a simpleton

Kev,

To let you know where I'm coming from, my network consists of five
machines.  I have Warp4 as my server/gateway.   A laptop that boots
Warp4 and Win2000.  Another laptop with W98.  A desktop with Win95. 
And an old 486 with Linux on it.  All of them talk to each other quite
happily. 

I hope this helps...

On Wed, 17 Jul 2002 00:14:33 +0900, Kev Downes wrote:

>I was just reading an article in the June OS/2 ezine about post-install
>networking.  Forget the post-install bit, my questions are much more
>basic than that.
>
>The article is here ....  http://www.os2ezine dot com/20020616/page_6.html

Quite a good a article I thought.  Covered everything quite well.  The
only difference I always make, is to start from the bottom when doing
the configuration.   This is just to get the network card defined
before defining the rest.

>
>Let me explain what I have, and what I want. I know I've been here
>before, but you really have no idea about how thick I actually am.  I'm
>confident I can get it all going with the correct answers to these
>questions.  I only want P2P - there's no dedicated server.  Bear in mind
>that all machines talk and share all I want in Windows, but I really want
>to do this in eCS.  If I really get brave later I might like to get
>Windoze and eCS talking to each other!  Each machine runs either Warp4 or
>eCS apart from Windoze (I use IBM BootManager).  The Windoze being used
>is '98se in all machines.

Having them talking under Windows is a good start as you know that the
hardware is OK.

>
>I have 4 machines   KEV     set to these IP's   192.168.0.1     Main
>machine
>                    KIDZ                        192.168.0.2   
>                    SAM                         192.168.0.3
>                    SPARE                       192.168.0.4
>I have these IP's hard coded in Windoze.
>
>I call my little home network HOME  In Windoze this is my workgroup name.
>
>I use 255.255.255.0 as a subnet mask.
>
>KEV has a dial-up internet connection on COM2 and my ISP's DNS is
>203.0.178.191  The ISP is iinet dot net dot au  It would be great to be able to
>share that connection, but I'm willing to walk before I attempt to run. 
>It shares OK in Windoze.

InJoy is the only way to go.

>
>When I get to the bit in the aforementioned OS/2 ezine article which
>includes the picture postne03.png ...
>
>I call my workstation "KEV"  (and the others KIDZ, SAM and SPARE) The
>description is easy, but, what is my Domain Name?  Is this the eCS
>equivalent of the Windoze WorkGroup?  Do I put "HOME" in here?

Yes.  The windows workgroup is the same as the OS/2 domain.

>
>I know I want to "Install Sharing", but do I want to "Install LAN Server
>Admin"?

Yes.  I've forgotten exactly what it adds, but, it's something you
want.

>
>I can configure the "Network Adaptors for File and Print Client"  My
>network cards have some form of Realtek chipset and they come with OS/2
>drivers on a floppy.  These install properly.
>
>"User ID and Password" I can do.
>
>"TCP/IP Services" is my next downfall.  In the article we're now at
>picture postne06.png  From the the top ...
>
>TCP/IP Address      I put 192.168.0.1 and so on for the other machines.
>Subnet Mask         Is easy!  255.255.255.0  (I'm showing off!!) Router             
>Well who knows?  I don't have one do I?  I don't really 
>                    know what one is.  What do I put here?  What does the
>                    writer mean when he says OS/2 is a router?  

A router acts as a gateway between two networks.  In this case, it's
the address of the machine with dialup on it.

Host Name          
>Who knows again?  I don't even know what a host is in
>                    this context.

This is the name of the machine in the TCP/IP world.  It can be
practically anything, but, I keep mine the same as the NetBIOS name.

>TCP/IP Domain Name  Who knows?  What's a domain in this context? 

In this case, the TCP/IP domain is all your machines.  I've always used
the same as my NetBIOS domain name.  I think this is safe as the
network is isolated behind a firewall.  The only thing to be careful of
is that it's not the same as some place you want to visit over the
internet.

Name
>Server         Is this my ISP's DNS?  If so what happens when I'm not
>                    connected to the net?

Unless you want to run your own DNS (that's what my Linux box is for),
it's the ISP's DNS.  If you are disconnected from the net, it doesn't
matter much.  Anytime you would be using the DNS, you would also be
referring to a site outside your home network, so you would need to be
connected anyway.

Related to this, you should put a hosts file on each of your machines
with a definition for each of the others in it.  That way you can refer
to them as "KEV" without worrying about a DNS lookup being done.

>
>Moving right on now ... picture postne07.png
>Do I need any more portocols than the 2 shown (TCP/IP and Netbios) to do
>what I want to do?

Not really.  TCP/IP will allow talking to the general internet. 
NetBIOS will allow Peer-to-Peer with you machines.  But, by default,
Windows does this using "NetBios over TCP/IP".  So, you either have to
add normal NetBIOS to you windows machines, or add "NetBIOS over
TCP/IP" on the OS/2 machines.  The former is generally considered more
secure (it can't be routed, so no-one can hack in that way).  I'm using
the latter as I have Samba on the Linux box, and I plug my laptop into
the network at work (Windows NT, 2000 and XP).

>
>I'm confident that someone out there can/will fill those holes for me. 

Hopefully, this has helped.  But, if I've missed anything, tell me. 
Or, if I've confused you even more, tell me, and I'll see if I can make
it even more confusing :)

>Assuming that is so, I now want each machine to boot up and connect to
>the network automagically, sharing all the things I set to share, and
>with no logons necessary - as per Windoze P2P.

You have to have the machines to logon locally.  I have this in my
startup.cmd so that I don't have to worry about it.

>
>So, there is the quest, should you dare to accept it.  I'd be eternally
>(or at least for a long time) grateful for this assistance.

Is your e-mail going to self-destruct in ten seconds?

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 17 Jul 2002 21:43:08
From:  Voytek Eymont <voytekatsbt dot net dot au>
Subject:  Re: [os2genau] Anyone want to have a go at this?

** Reply to note from Kev Downes <kdownesatiinet dot net dot au> Tue, 16 Jul 2002 23:21:56 +0900

> >I received this at the bottom of an email I received from a friend.  
> > 
> >"> Windows is not the answer. Windows is the question. The answer is NO! 
> > 
> >> We use and recommend IBM OS/2 Warp and Serenity System's eComStation." 
> >  
> >That's a fairly bold statement to make.. whats your justification?. .

Because it works the way I want it to work, whatever that might be at the
time.
Because it worked since 1992.
and I still enjoy using it, after all these years

Voytek Eymont
SBT Information Systems Pty Ltd
http://www.sbt dot net dot au/links/
phone +61-2 9310-1144 fax +61-2 9310-1118 
----------------------------------------------------------------------------------